AutoCAD Civil 3D :: Read Surface From Another DWG?
Feb 29, 2012In LDD the surface, alignments etc were easily accessable in any dwg in a project.
How can I do this in C3D?
In LDD the surface, alignments etc were easily accessable in any dwg in a project.
How can I do this in C3D?
Using Civil 3d 2012, I have a slope label with mult lines, and set to plan read.
When I rotate the label, the goes to plan read, but the bottom line text is on the top, top on the bottom.
I hope it would be simular to mirror.
I look at the expression, but didn't see any way to get the label angles.
I often have to do storm pond surfaces that (for the purposes of planning) are flat on the bottom. These surfaces are created from a combination of survey data and grading groups and the tin of these surfaces is perfectably acceptable. However, when contours are shown, the flat bottom is shown with contours jig-jagging all over the place.
The attached image shows a comparison of the same pond. The top was created with survey data and grading groups; the bottom was created using contour data only. The generated surface on the top shows the bottom contour going in different directions and has parts where the an expected contour is missing.
How to correct/manipulate the surface to show a proper flat surface?
Has instances where you set your tolerance for the maximum triangle lenth to say 50m to reduce the amount of triangles along the edge that run at long distances. When I do this I end up with multiple surface holes and I'm not sure why as there are points in the area.
I thought well maybe it's because i should've reduced my max triangles first then added breaklines. Would this matter? I also thought I could add a line to the surface to fix the holes vs. deleting surface lines along the entire edge of a surface for many many miles.
I am trying to add points into a surface. I have done this before without any problems, but now I am having issues.
When I ID points which makes up the surface it gives me the correct Z level e.g. 24.5m, however when I hover over the surface it shows me the surface name and a different z level e.g. 0.65m. What is the reason for this difference in z levels? I think this may be causing the issue I am having when I add new points.
I select the surface and use the 'edit surface command' in the ribbon, choosing add point.
When I add a point at the level I require(23.89m), it puts it in a lot higher than the surrounding area, so I tried to put the point in to the lower z levels (0.4m) it puts it in a lot lower!
My goal is coming up with the volume bounded by the design surface and the existing surface. I don't have the design surface modeled yet.
Do i need to create alignment offsets?. Alignment 1 profile view is also attached. Then Alignment2.
What about starting with alignment1 profile view? Since I have created a polyline as the design profile ?
how do I shrink labels? Where is it in the settings ; the Align folder had been check.
I am issues with DEM files that I am downloading from the USGS website.I download 24k, elevation for the area I need. I then choose staged 1 second, add a surface to a blank drawing, then upload the DEM files to the surface.
The surface imports correcty, but when I try to import points taken by a surveyor on the same drawing, they plot incorrectly.The DEM surface and the points from the surveyor do not correspond. Also, the DEM surface is in meters, not feet. I have tried changing drawing settings, datum types, coordinate types, etc.
Is there any way to change the referenced surface on a Surface Elevation Label. I can see the surface in the properties but cannot change it.
C3D 2011
I have a project involving 3 programs. I am creating a planned development in 3d to be 3d printed when finished. The project is a 5 acre tract containing 8 buildings. I have built the surface in C3D and each building in Revit. The buildings are not in the same Revit file. For my solid work, I will bring the files over into 3ds Max Design to section into smaller quadrants to build in the 3d printer.
The questions:
Would it be better to import the surface into Revit to merge surface and buildings together?
Would it be better to import the buildings into C3D to merge entities?
Would it be better to bring those entities into 3ds Max and then merge them into one? Will 3ds Max Design allow me to insert entities accurately in the environment?
I need to create a sub-set surface from my main surface. not sure what the vernacular is for a "subset surface" in c3d but i do have a feature line that bouinds the desired area, but that is as far as i can solve.
i did try creating a new surface - pasted the main surface in the edit definition, then deleted triangles until the boundary alighned wiht my featureline. This seemed to work, but when i view the properties of the smaller subset suface, it shows a mimum and maximum elevation that is incorrect.
Im currently using an addon for Civil 3D called Novapoint. It allows me to create 3D models of surfaces made out of 3d faces and easily models cut and fill 3d-models for me.
The only thing i need to create a cut and fill model is one or several ground surfaces (existing ground, earth layers, rock etc. whatever i need) and a closed polyline/3Dpolyline that represents the level I want my cut and/or fill model.
I enter the spcifications I want such as; earth cut angle, rock cut angle, fill angle, select which surfaces i want to include in the model calculation and select the polyline.Novapoint then calculates the cut/fill model from the surfaces to the polyline and models the different cut/fill angles and gives me the results in a 3d-face model and a specification of the volyme of rock cut, earth cut an fill.
1. Novapoint is quite unstable and crashes alot
2. You cant create profiles out of 3d faces
3. Novapoint does not automaticly combine the start surfaces with the modeled cut/fill surface
4. A large surface made out of 3d-faces demands alot of computer power
So I want to how I do the same that Novapoint does for me in Civil 3D? (I have access to Civil 3D 2007-2013 depending on which one you're using)I know I can take the 3Dfaces i created in Novapoint and make a surface in Civil 3D with them but I want to exclude Novapoint completely.
all of a sudden whenever I run audit on my corridor file the surface definition becomes a snapshot. To add to the drama, the corridor surface will not paste into an empty surface. Why?
View 2 Replies View RelatedMy problem added with pic ... I want to make volume calculate for sample road project. When I try to compute materials I cant use Corridor surface for DATUM... There is only target surface on option..
View 2 Replies View RelatedI am trying to visualize a road project. The problems is, whenever the corridor surface goes below the EG surface (when the road is in cut) the EG surface is the only visible surface.
I sort of need to subtract the corridor surface from the EG surface, or merge the both surfaces into one.
I was wondering if there is an easy way to trim one surface to another. Right now, I have two slopes (3:1) that are perpendicular to each other. They meet at a corner and I have extended them past each other so that I could see the intersecting edge. Now I would like to trim them to each other like you would a polyline etc... but I am not sure how to do this.
If I select surf trim, it tells me they are the wrong object type, but they are tin surfaces?
I have the follwoing error in C3D R2013.Unable to cast object of type 'Autodesk.AutoCAD.DatabaseServices.BlockTableRecord' to type 'Autodesk. AutoCAD. DatabaseServices.BlockReference'.
When casting from a number, the value must be a number less than infinity..Make sure the source type is convertible to the destination type
My code is:
Imports SystemImports Autodesk.AutoCAD.RuntimeImports Autodesk.AutoCAD.ApplicationServicesImports Autodesk.AutoCAD.DatabaseServicesImports Autodesk.AutoCAD.GeometryImports Autodesk.AutoCAD.EditorInputImports Autodesk.AutoCADImports Autodesk.AutoCAD.ApplicationServices.ApplicationImports Autodesk.AutoCAD.LayerManagerImports.
[code]..
One problem I face with the iPad on site is the glare. I cannot actually read the contents on the screen. Any tricks to make better legibility under open sky / sun?
View 9 Replies View RelatedI used a 2d polyline to create a surface boundary for a surface created. The polyline is a closed loop. For the boundary type it is outer, unchecked Non-destructive breakline, and mid-ordinate distance = 1.
My problem is that when I do this I only get a small portion of the surface to show up within my surface boundary. If I don't have a surface boundary the entire drawing surface shows up no problem.
The purple polyline is my boundary and the light blue is the surface created within the boundary.
How to do it?
I am using Inv/Vault Pro 2011.
Is it possible to export created surface from civil to revit architecture? If yes , How? And if its not possible - maybe i can somehow import cogo points to revit?
View 6 Replies View RelatedI am just wondering whether FIELD category can access the OBJECT DATA Table ?
I want to use a block to display its OD table's attributes as Annotation text , so that the Text will update when the OD table change.
Or do I need use the Data connection for this purpose ?
I very frequently get the above message, "Oject was open for Read". Its to do with annotative text objects which I just recently started using. When I get the message the piece of text I am trying to make changes to is frozen, cant delet it or anything?
View 9 Replies View RelatedHow do you flip a regular left to right profile to read with the 0+00 on the right?
View 7 Replies View RelatedHave 1 drawing where I get the Error Message - Open for Read when trying to modify linework. Try to change color, layer, close an open polyline, but can't do so due to the error message. By the way, using C3D 2012 with Service Pack 1 installed.
View 1 Replies View RelatedSeems every application but Autocad Civil 3D can read in a DEM with rectangular spacing.
how to approach this? I have a lot of files, I really don't want to have to resample them all at a square spacing so Civil 3D feels good.
See attached files.
Even Spacing
18m x 18m grid spacing
Rectangular Spacing
18.2 x 17.2m grid spacing
Civil 3D 2014 (SP1)
Win 7 Pro x64
DELL Precision Workstation T3500
Intel Xeon 3.3GHz (w3680)
24Gb Ram
NVIDIA Quadro 2000 (1GB)
Having trouble with my lisp routine to read from a directory which includes several folders. There is no problem when the files are all mixed in the directory but when dealing with hundreds of files, it makes sense to organize files by types.
Using (ade_aliasadd "BASE" "S:\") and there is no problems when the files are actually there and not in a subfolder called APN_DWG or EAS_DWG. Should I be setting up the environment differently and if so how?
I'm working on a grading plan which excavates down from just outside the waterline of an existing pond. When I create a surface from the grading, it looks like a whole bunch of strange break lines have been added, messing up the surface. I thought it might be the mid ordinate distance but changing that doesn't seem to fix it it. Interestingly, when I grade from the original waterline, this doesn't seem to happen.
Here is my workflow, a picture of the result is shown below.
1. Turned the current waterline into a feature line.
2. Created new feature line by offsetting outside that feature line by 3.16 ft.
3. From new feature line, grade down 10 feet at 3:1
4. Create new surface using grading.
The grading lines (shown in white) look correct. But when I create the surface (green and yellow), it is all messed up.
If I change a point or link code in one of my subassemblies, is there a way I can build my top surface using those?
View 9 Replies View RelatedI know my surface is there but somewhere I have turned it off.
I know the surface is there but I'm not able to see it.
Can you paste a surface from a different dwg?
When i try to create a material list, i don't see my corridor surface - just the EG surface appear in the list.
View 2 Replies View RelatedI am in need of subtracting Surface A from Surface B to display the surface intersections between the two. I have a geological top of clay surface and a bottom of clay surface where the bottom intersects with the top thus showing holes in a geological clay layer. I am wanting to know if Civil 3D supports the subtracting of two surfaces.
View 6 Replies View Related